#!/bin/bash

# Copyright (c) 2017 Cloudera, Inc. All rights reserved.

set -x

# Time marker for both stderr and stdout
date; date 1>&2

# IMPORTANT the following sends a TERM (15) signal to the process:
# when the process exits because of this, it is observed to return
# a status code of 143 (128 | 15).
# This code must have been added to the expected exit codes for a
# process managed by supervisord to be properly monitored and/or
# restarted
kill -TERM $PID_TO_STOP
