#!/bin/bash

# Copyright (c) 2017 Cloudera, Inc. All rights reserved.
#
# Runs pre-copylisting.

current_dir=`dirname $0`
. ${current_dir}/distcp-base.sh

HADOOP_HOME=${CDH_HADOOP_HOME}
echo "Hadoop Home is ${HADOOP_HOME}"

DISTCP_CLASSPATH=`echo ${MGMT_HOME}/lib/dr/distcp-*.jar`
export HADOOP_CLASSPATH="$HADOOP_CLASSPATH:$DISTCP_CLASSPATH"

exec ${HADOOP_HOME}/bin/hadoop com.cloudera.enterprise.distcp.PreCopyListingCheck -libjars ${MGMT_HOME}/lib/dr/distcp_acllib-*.jar -summaryFile $CONF_DIR/logs/summary.json "$@"
