# Copyright (c) 2018 Cloudera, Inc. All rights reserved.
#
# This script exists to define any service speicific actions that this
# script might need to take. All the interesting code is in
# ../common/httpd_common.sh now.

service_specific_actions() {
    export HUE_HOME="${CDH_HUE_HOME}"
    echo "HUE_HOME=${HUE_HOME}"
    replace_httpd_conf "HUE_HOME"

    # Add absolute path for sslpassphrase.sh script which is located in AGENT_COMMOND_DIR
    perl -pi -e "s#^SSLPassPhraseDialog(.*)\{\{AGENT_COMMON_DIR}}/sslpassphrase.sh#SSLPassPhraseDialog\1$cloudera_config\/sslpassphrase.sh#g" "${CLOUDERA_HTTPD_CONF_DIR}/hue.conf"
}
