#!/bin/bash
# Copyright (c) 2013 Cloudera, Inc. All rights reserved.
#
# Runs "java -version" and sends output to stdout.

cloudera_config=`dirname $0`
cloudera_config=`cd "$cloudera_config/../common"; pwd`
. ${cloudera_config}/cloudera-config.sh

# The major version of Java to check for.
BIGTOP_JAVA_MAJOR=$1
if [ ! -z "$2" ]; then
  JAVA_HOME=$2
fi

# attempt to find java
locate_java_home

if [ -e $JAVA_HOME/bin/java ]; then
  $JAVA_HOME/bin/java -version 2>&1
  exit 0
fi
exit 1
